/**
 * ResearchSpace
 * Copyright (C) 2015-2020, © Trustees of the British Museum
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

 
/* Tabs */ 
.nav.nav-tabs {

    margin-left: 0;
    border-bottom: 1px solid $input-border-color;

    & > li {
        padding: 10px 20px;

        &:hover {
            box-shadow: inset 0px -3px 0px 0px $color-primary-50;
        }

        &.active {
            box-shadow: inset 0px -3px 0px 0px $color-dark;

            & > a {
                background-color: transparent;
                font-weight: bold;
                color: $color-dark;
                border: none;
            }

        }

        &.disabled {

            opacity: 0.4;
            cursor: not-allowed;
        }

        & > a {
            color: $color-dark;
            border: none;
            padding: 0;

            &:hover, 
            &:focus {
                background-color: transparent;
            }
        }
    }
}

/* Object record tabs */
.rs-resource-tabs {

    .tab-content {
      background-color: $color-resourceTabs-bg;
    }
}

.rs-resource-tabs .nav.nav-tabs {

    background-color: $color-primary-50;

    @media (min-width: 788px) {
        padding-left: 8.333333%;
    }
    
    @media (min-width: 1200px) {
        padding-left: 16.666667%;
    }

    &.rs-entity-bg-thing {
        background-color: $color-entity-bg-thing;
    }
    
    &.rs-entity-bg-actor{
        background-color: $color-entity-bg-actor;

        & > li:hover,
        & > li:focus {

            background-color: $color-secondaryB-100;
        }
    }
    
    &.rs-entity-bg-type {
        background-color: $color-entity-bg-type;

        & > li:hover,
        & > li:focus {

            background-color:  $color-secondaryA-100;
        }
    }
    
    &.rs-entity-bg-resource {
        background-color: $color-entity-bg-resource;
    }

    border-bottom: none;

    & > li:hover,
    & > li:focus {
        background-color: $color-primary-80;
        box-shadow: none;
    }

    & > li {
        padding: 9px 40px;
    }

    & > li > a {
        @include font-common($color-dark, 12px, 1.95);

        font-weight: 600;
        margin-right: 0px;
        border: none;
        
    }

    & > li:not(:last-child):not(.active) {
        border-right: 1px solid $color-dark;
    }

    & > li.active {
        margin-right: -1px;
        margin-left: -1px;

        background-color: $color-resourceTabs-bg;
        box-shadow: none;

        &:hover,
        &:focus {

            background-color: $color-resourceTabs-bg;
        }
    }

    & > li.disabled {

        cursor: not-allowed;
        opacity: 0.5;
    }
}


#activity-tab-container {
    
    .rs-table .griddle .top-section {
        right: 18px;
    }

    .researchspace-table-widget-holder .filter-container .form-control {
        background-color: $color-secondaryB-10;
    }

    .nav-tabs {
        border-bottom: none;
    }

    .nav-tabs > li {
        padding: 7px;
    }

    .nav-tabs > li > a {
        color: $color-dark;
    }

    .nav-tabs > li:hover {
        background-color: #f1f4f55c;
        border-top-right-radius: 8px;
        border-top-left-radius: 8px;
    }

    .nav > li > a:hover, .nav > li > a:focus {
        background-color: transparent;
    }

    .nav-tabs > li > a:hover {
        border-color: transparent;
    }

    .nav-tabs > li > a {
        border: 2px solid transparent;
    }

    .nav.nav-tabs li.active,
    .nav-tabs > li.active > a,
    .nav-tabs > li.active > a,
    .nav-tabs > li.active > a:focus,
    .nav-tabs > li.active > a:hover {
        color: $color-dark;
        background-color: $color-secondaryB-10;
        border: 1px solid $color-secondaryB-10;
        border-top-right-radius: 4px;
        border-top-left-radius: 4px;
    }

    .tab-content {
        background-color: $color-secondaryB-10;
        padding: 10px 50px 30px 50px;
        margin-bottom: 50px;
        border-bottom-right-radius: 4px;
        border-bottom-left-radius: 4px;
        border-top-right-radius: 4px;

        .table .table {
            background-color: $color-secondaryB-10;
        }

        .pagination > .disabled > span,
        .pagination > .disabled > span:hover,
        .pagination > .disabled > span:focus,
        .pagination > .disabled > a,
        .pagination > .disabled > a:hover,
        .pagination > .disabled > a:focus {
            color: $color-dark;
            background-color: $color-secondaryB-10;
            opacity: 0.3 !important;
        }
    }
}

/* right aligned tabs */
.tabs-right {
    li {
        float: right;
    }
    // make sure that pagination is still left aligned
    .pagination li {
        float: left;
    }
}

.tab-pane {
    padding-top: $padding-base-vertical;
  }
